Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 173658

Summary: Review Request: xfce4-cpugraph-plugin
Product: [Fedora] Fedora Reporter: Christoph Wickert <christoph.wickert>
Component: Package ReviewAssignee: Ed Hill <ed>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-extras-list, nonamedotc
Target Milestone: ---Flags: gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://xfce-goodies.berlios.de/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-12-15 02:47:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Christoph Wickert 2005-11-18 20:27:46 UTC
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-cpugraph-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-cpugraph-plugin-0.2.2-3.fc4.src.rpm
Description: 
A CPU monitor plugin for the Xfce panel. It offers multiple display modes (LED, gradient, fire, etc...) to show the current CPU load of the system. The colors and the size of the plugin are customizable.

Comments:
rpmlint is clean
license BSD and included

Comment 1 Ed Hill 2005-11-25 20:37:26 UTC
Hi Christoph, heres a quick review:

needswork:
 - upstream tarball is slightly different:
     - dir name: xfce4-cpugraph-plugin-0.2.2 not xfce4-cpugraph-plugin
       which can be corrected with "setup -q -n %{name}
     - upstream tarball includes a specfile
 - build in mock on FC-4 fails with:
     checking for xfce4-panel-1.0 >= 4.0.0... 
     Package libxfcegui4-1.0 was not found in the pkg-config search path

good:
 + builds on FC-4 (not in mock)
 + rpmlint OK
 + license OK and included
 + spec file looks good (very simple!)
 + code not content, etc.

and do you have any idea why the mock build is failing for me?  I don't
understand whats happening...

Comment 2 Christoph Wickert 2005-11-29 00:20:49 UTC
(In reply to comment #1)
> Hi Christoph, heres a quick review:

Thanks Ed, sorry for replying so late.
 
>  - upstream tarball is slightly different:
>      - dir name: xfce4-cpugraph-plugin-0.2.2 not xfce4-cpugraph-plugin
>        which can be corrected with "setup -q -n %{name}
>      - upstream tarball includes a specfile

oops, sorry, looks like I used the source from the srpm and obviously it's not
the same than the tarball. I've rebuild the package with the correct Source0.

> and do you have any idea why the mock build is failing for me?  I don't
> understand whats happening...

the libxfcegui4-devel package is missing. I thought it would be pulled in
automatically by xfce4-panel-devel, but this was wrong. So I had to add
libxfcegui4-devel to BuildReqs.

New SRPM:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-cpugraph-plugin-0.2.2-4.fc4.src.rpm
Updated SPEC:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-cpugraph-plugin.spec

Comment 3 Ed Hill 2005-11-29 03:57:01 UTC
Hi Christoph, I get a "404 Not Found" for the SRPM in comment #2 above. 
And the SRPMS directory doesn't contain any newer versions, just the older
0.2.2-3 version.

Comment 4 Christoph Wickert 2005-11-29 11:56:20 UTC
Sorry, forgot to upload the SRPM. Now it's there.

Comment 5 Ed Hill 2005-11-29 17:39:16 UTC
Hi Christoph, the new SPRM looks good:

 + source matches upstream
 + builds in mock on FC-4
 + no errors or warnings with rpmlint
 + no dangling directories

APPROVED.

Comment 6 Christoph Wickert 2005-12-15 02:47:34 UTC
Hi Ed, thanks for your work. 
Package build successfully on all arches and braches.

Comment 7 Mukundan Ragavan 2014-09-21 21:58:08 UTC
Package Change Request
======================
Package Name: xfce4-cpugraph-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc

Comment 8 Gwyn Ciesla 2014-09-21 22:07:17 UTC
Git done (by process-git-requests).